CvrStgFileTest Class Reference

`#include <CvrStgFileTest.h>`

Inheritance diagram for CvrStgFileTest:

## Public Member Functions

| CvrStgFileTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Protected Member Functions

bool | genericTestReadWrite (const std::string &rfn, bool new_wfn=true) const
bool | genericTestReadEmbedExtract (const std::string &fn, BitString &emb) const
bool | genericTestReadExtractCompare (const std::string &fn, BitString &emb) const
bool | genericTestReadEmbedWriteReadExtract (const std::string &cvrfn, BitString &emb) const
bool | genericTestPosition (const CvrStgFile *f, const SamplePos pos, SampleValue *sv_r) const
bool | genericTestSVALCalculation (const CvrStgFile *f, const Graph *g) const
bool | genericTestEmbeddedValue (const CvrStgFile *f) const
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Private Member Functions

bool | areEqual (const std::string &fn1, const std::string &fn2) const
void | removeFile (const std::string &fn) const
void | copyFile (const std::string &src, const std::string &dest) const
void | moveFile (const std::string &src, const std::string &dest) const

## Constructor & Destructor Documentation

## CvrStgFileTest()

CvrStgFileTest::CvrStgFileTest | ( | std::string | n,
|  | TestSuite * | s )

inline

## Member Function Documentation

## areEqual()

bool CvrStgFileTest::areEqual | ( | const std::string & | fn1,
|  | const std::string & | fn2 ) const

private

## copyFile()

void CvrStgFileTest::copyFile | ( | const std::string & | src,
|  | const std::string & | dest ) const

private

## genericTestEmbeddedValue()

bool CvrStgFileTest::genericTestEmbeddedValue | ( | const CvrStgFile * | f | ) | const

protected

for all sample positions, test if f->getEmbeddedValue(p) and f->getSampleValue(p)->getEmbeddedValue() return the same result

## genericTestPosition()

bool CvrStgFileTest::genericTestPosition | ( | const CvrStgFile * | f,
|  | const SamplePos | pos,
|  | SampleValue * | sv_r ) const

protected

## genericTestReadEmbedExtract()

bool CvrStgFileTest::genericTestReadEmbedExtract | ( | const std::string & | fn,
|  | BitString & | emb ) const

protected

## genericTestReadEmbedWriteReadExtract()

bool CvrStgFileTest::genericTestReadEmbedWriteReadExtract | ( | const std::string & | cvrfn,
|  | BitString & | emb ) const

protected

## genericTestReadExtractCompare()

bool CvrStgFileTest::genericTestReadExtractCompare | ( | const std::string & | fn,
|  | BitString & | emb ) const

protected

read fn and extract the first emb.getLength() bits, return true iff these equal emb

## genericTestReadWrite()

bool CvrStgFileTest::genericTestReadWrite | ( | const std::string & | rfn,
|  | bool | new_wfn = true ) const

protected

read the file rfn and write it again, return true iff write op created what was read by read op

Parameters

  rfn | the file name of the file to read
  new_wfn | wether to write the data to another file or to rfn (a backup copy is done)

## genericTestSVALCalculation()

bool CvrStgFileTest::genericTestSVALCalculation | ( | const CvrStgFile * | f,
|  | const Graph * | g ) const

protected

## moveFile()

void CvrStgFileTest::moveFile | ( | const std::string & | src,
|  | const std::string & | dest ) const

private

## removeFile()

void CvrStgFileTest::removeFile | ( | const std::string & | fn | ) | const

private

The documentation for this class was generated from the following files:

- CvrStgFileTest.h
- CvrStgFileTest.cc